सामग्री पर जाएँ

MiniMax Voice Design

इंटीग्रेट करें

मॉडल id minimax/voice-design
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/minimax/voice-design?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "Hello from Doitong. This is a short test sentence.",
    "preview_text": "Hello from Doitong. This is a short test sentence."
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

उदाहरण जैसी फ़ाइलें: $3.002 3,002 API क्रेडिट चलाने से पहले आपकी फ़ाइलों को मापा जाता है इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें

टेक्स्ट विवरण से नई सिंथेटिक आवाज़ डिज़ाइन करता है और उसकी voice ID के साथ प्रीव्यू लौटाता है

MiniMax · ऑडियो

आपका पहला परिणाम यहाँ आएगा

नीचे एक अनुरोध बनाएँ और उसे अपनी API कुंजी से चलाएँ। आउटपुट हमारे स्टोरेज में कॉपी किए जाते हैं और हमेशा के लिए या 7 दिन तक मुफ़्त में रखे जाते हैं।

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

•आवश्यक 50 / 2000

निर्मित की जाने वाली वैयक्तिकृत आवाज़ का वर्णन करने वाला प्रॉम्प्ट।

•आवश्यक 50 / 500

ऑडियो प्रीव्यू में बोले जाने के लिए 1 से 500 वर्णों के बीच दें।

उन्नत enable_safety_checker
POST /run/minimax/voice-design?wait=20 कोटेशन → $3.002
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/minimax/voice-design?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "Hello from Doitong. This is a short test sentence.",
    "preview_text": "Hello from Doitong. This is a short test sentence."
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

MiniMax Voice Design के बारे में

ऑडियो सैंपल के बजाय `prompt` में लिखे विवरण (अधिकतम 2000 वर्ण) से कस्टम आवाज़ बनाता है। नई आवाज़ में अधिकतम 500 वर्णों वाला आवश्यक `preview_text` बोला जाता है, ताकि आप उसका ऑडिशन कर सकें। आउटपुट प्रीव्यू ऑडियो और जनरेट की गई आवाज़ की पहचान करने वाला `custom_voice_id` है।

पैरामीटर

नामप्रकार डिफ़ॉल्टअनुमत विवरण
enable_safety_checkerवैकल्पिक
प्रकारboolean
डिफ़ॉल्टtrue
यदि कॉलर अधिकृत है, तो false सेट करके स्क्रीनिंग में ढील दी जा सकती है।
promptआवश्यक
प्रकारstring
≤ 2,000 अक्षर
निर्मित की जाने वाली वैयक्तिकृत आवाज़ का वर्णन करने वाला प्रॉम्प्ट।
preview_textआवश्यक
प्रकारstring
≤ 500 अक्षर
ऑडियो प्रीव्यू में बोले जाने के लिए 1 से 500 वर्णों के बीच दें।
आवश्यक

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "minimax/voice-design",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 3002,
    "usd": "3.002",
    "charged": 3002,
    "refunded": 0
  },
  "input": {
    "prompt": "Hello from Doitong. This is a short test sentence.",
    "preview_text": "Hello from Doitong. This is a short test sentence."
  },
  "output": {
    "custom_voice_id": "string",
    "audio": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_name": "0-output.mp3",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "audio",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_size": 1843200,
      "duration": 12,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
custom_voice_id
stringनिर्मित आवाज़ का `voice_id`।
audio
object {url, content_type, file_name, file_size}निर्मित आवाज़ का उपयोग करके संश्लेषित ऑडियो प्रीव्यू।

और मॉडल: टेक्स्ट से स्पीच

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/minimax/voice-design.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt